﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
        table { border: 1px solid #ccc; }
        table th { background-color: #F7F7F7; color: #333; font-weight: bold; }
        table th, table td { padding: 5px; border-color: #ccc; }
    </style>
    <script type="text/javascript">
        function RadioCheck(rb) {
            var gvCustomers = document.getElementById("<%=gvCustomers.ClientID%>");
            var rbCustomers = gvCustomers.getElementsByTagName("input");
            for (var i = 0; i < rbCustomers.length; i++) {
                if (rbCustomers[i].type == "radio") {
                    if (rbCustomers[i].checked && rbCustomers[i] != rb) {
                        rbCustomers[i].checked = false;
                        break;
                    }
                }
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:GridView ID="gvCustomers" runat="server" AutoGenerateColumns="false"
            OnPageIndexChanging="OnPaging" AllowPaging="true" DataKeyNames="CustomerID">
            <Columns>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:RadioButton ID="rbCustomer" runat="server" onclick="RadioCheck(this);" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="CustomerID" HeaderText="CustomerID" />
                <asp:BoundField DataField="City" HeaderText="City" />
                <asp:BoundField DataField="PostalCode" HeaderText="PostalCode" />
            </Columns>
        </asp:GridView>
    </form>
</body>
</html>
